aboutsummaryrefslogtreecommitdiffstats
path: root/packer
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2016-09-30 17:06:23 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2016-09-30 17:08:16 +0200
commited9ac7381d411df45ba0f3a2d9cd855726c129bc (patch)
treedcc7eacdd520480c7cc158d840c6c81ff3fd6cc7 /packer
parent6ffae7c607a8284c4d04eedf6e43fc76fb662fc7 (diff)
Be even more verbose
And add additional nameserver. Change-Id: I289e1b196b4e3513215e7ae7c2ac18e5ba128f0a Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'packer')
-rw-r--r--packer/provision/baseline.sh21
-rw-r--r--packer/templates/basebuild-local-kvm.json10
2 files changed, 22 insertions, 9 deletions
diff --git a/packer/provision/baseline.sh b/packer/provision/baseline.sh
index 64f09131..e10b9f33 100644
--- a/packer/provision/baseline.sh
+++ b/packer/provision/baseline.sh
@@ -109,17 +109,30 @@ EOF
cat /etc/apt/sources.list
echo "---> printing sources.list <---"
+ echo "---> printing resolv.conf <---"
+ cat /etc/resolv.conf || true
+ echo "---> printing resolv.conf <---"
+
+ ping -c 2 8.8.8.8
+
+ echo "nameserver 8.8.8.8" >> /etc/resolv.conf
+
+ echo "---> printing resolv.conf <---"
+ cat /etc/resolv.conf || true
+ echo "---> printing resolv.conf <---"
+
+
echo "---> Updating operating system"
- apt-get update -qq > /dev/null
- apt-get upgrade -qq > /dev/null
+ apt-get update
+ apt-get dist-upgrade -y
# add in stuff we know we need
echo "---> Installing base packages"
- apt-get install -qq unzip xz-utils puppet git libxml-xpath-perl make wget > /dev/null
+ apt-get install -y unzip xz-utils puppet git libxml-xpath-perl make wget
# install Java 7
echo "---> Configuring OpenJDK"
- apt-get install -qq default-jre-headless default-jdk-headless > /dev/null
+ apt-get install -y default-jre-headless default-jdk-headless
}
diff --git a/packer/templates/basebuild-local-kvm.json b/packer/templates/basebuild-local-kvm.json
index 4c36ddda..10ae712a 100644
--- a/packer/templates/basebuild-local-kvm.json
+++ b/packer/templates/basebuild-local-kvm.json
@@ -1,12 +1,12 @@
{
"variables": {
- "stack_tenant": null,
- "stack_user": null,
- "stack_pass": null,
- "stack_network": null,
+ "stack_tenant": "ubuntu",
+ "stack_user": "ubuntu",
+ "stack_pass": "ubuntu",
+ "stack_network": "none",
"base_image": null,
- "cloud_user": null,
+ "cloud_user": "ubuntu",
"distro": null,
"cloud_user_data": null
},